Avoid v1.12.3 (opinion)

Everything related to MakeMKV
Post Reply
Woodstock
Posts: 6504
Joined: Sun Jul 24, 2011 11:21 pm

Avoid v1.12.3 (opinion)

Post by Woodstock » Fri Aug 24, 2018 1:43 pm

The release of 1.14.x negates the reasons behind this message - but a number of people (including me! :roll: ) have linked to it, so removing it completely as I had originally planned would be confusing. So.... Please ignore! :)

As anyone who reads this forum is aware, spurious errors are prevalent with version 1.12.3. I was not having issues with it until this week, but I also was not ripping a lot of stuff.

But I have been pushed back to 1.12.2 because it is not throwing errors on just about everything like .3 is.

So, until Mike replaces 1.12.3 with a version that isn't broken, my personal recommendation is to go back to 1.12.2 unless you need to create a UHD dump file.

Where to find 1.12.2: https://makemkv.com/download/old/

Why you might need 1.12.3 installed: UHD dump file format changed at 1.12.3, and new submissions for "missing keys" need to be made with 1.12.3 or later.

You CAN install multiple copies of MakeMKV, so long as they are in different program directories. And versions 1.12.2 and 1.12.3 can even share a common MakeMKV data directory.

But, if you're not doing UHD disks, I would not bother with having both versions installed.

mike admin
Posts: 3605
Joined: Wed Nov 26, 2008 2:26 am
Contact:

Re: Avoid v1.12.3 (opinion)

Post by mike admin » Sun Sep 02, 2018 9:59 pm

Known issues with 1.12.3:

- fails to convert subset of BD discs ("DEBUG: Code 45045000, error while reading input") - bug in subtitles code, un-selecting all subtitles is a "workaround"
- wrong "hash check" errors on 3D blu-ray discs
- can not read some BDAV discs

If you encounter anything else, please do send error report using instructions at http://www.makemkv.com/faq/item/8 . Especially, if the program crashes, please do follow instructions at http://www.makemkv.com/onlinehelp/dump.html .

The recommended workaround is to install two versions in different directories and use 1.12.3 for UHD (and Japanese BDAV) and 1.12.2 for everything else. Update is on the way.

FingersDLP
Posts: 4
Joined: Thu Sep 06, 2018 2:58 pm

Re: Avoid v1.12.3 (opinion)

Post by FingersDLP » Thu Sep 06, 2018 3:06 pm

If the output from using v1.12.3 completes successfully can I assume the mkv file is good? I did some 3D titles that warned with hash check errors but completed and seem ok. Any reason I should do them again with the prior version if they completed ok?

Thanks!

Woodstock
Posts: 6504
Joined: Sun Jul 24, 2011 11:21 pm

Re: Avoid v1.12.3 (opinion)

Post by Woodstock » Thu Sep 06, 2018 3:26 pm

If MakeMKV saved the file, it was fine. The biggest problem with 1.12.3 is that some disks will generate hundreds of errors, and take a long time to accomplish nothing.

I ran 1.12.3 for over a month before I encountered a disk that generated errors... And other people are still running it without problems. The first errors I encountered happened to be on disk 1 of a 184-disk ripping session, so it was a BIG problem. :)
How to aid in finding the answer to your problem: https://www.makemkv.com/faq/item/8

Kettykrueger
Posts: 38
Joined: Wed Feb 08, 2017 2:29 pm

Re: Avoid v1.12.3 (opinion)

Post by Kettykrueger » Sat Sep 08, 2018 8:10 am

As mentioned in my other thread: viewtopic.php?f=1&t=17928, 1.12.3 is ripping fine for me but all my movies have dropped frames (and in some cases glitches) in them.

This has taken some time to diagnose and can be reproduced. Unfortunately, I don't have the logs anymore but can try it again, if that helps?

Woodstock
Posts: 6504
Joined: Sun Jul 24, 2011 11:21 pm

Re: Avoid v1.12.3 (opinion)

Post by Woodstock » Mon Sep 24, 2018 1:06 am

I think Mike has the problem figured out from his earlier message, but it will require a replacement version.
How to aid in finding the answer to your problem: https://www.makemkv.com/faq/item/8

alinija
Posts: 1
Joined: Sat Oct 20, 2018 9:48 am

Re: Avoid v1.12.3 (opinion)

Post by alinija » Sat Oct 20, 2018 9:54 am

Hi, I'm going a little bit off topic here, but I can't use the 1.12.2 version.
I get a message, that this is an old version, I have to replace it with the next one and the programm closes.
How do I make it work?

Unfortunately, it does the same with 1.12.3 ... Maybe I have another problem :wink:

Thanks for your help.

Bye Alli

Woodstock
Posts: 6504
Joined: Sun Jul 24, 2011 11:21 pm

Re: Avoid v1.12.3 (opinion)

Post by Woodstock » Sat Oct 20, 2018 1:44 pm

You need to install the current "Beta key", which is always found in the topic, Which is always found in the topic MakeMKV is free while in beta in the announcements section.

Applying it can be tricky on older versions; You have to set your system DATE (don't worry about the time) back to a point where the version was current. In the case of 1.12.2, that would be in July, so setting the system date to July 15 2018 would work. Start MakeMKV, then go to Help->Register, and put the current beta key in. After that, you can set the system date back to current.
How to aid in finding the answer to your problem: https://www.makemkv.com/faq/item/8

Post Reply